package com.ys.bdtp.cad.types;

/**
 * Created by lihao.
 * Date: 2021/6/10
 */
public class Pointz2 {
    public float x;
    public float X;
    public float y;
    public float Y;
    public float z;
    public float Z;

    public Pointz2() {
    }

    public float x() {
        if (x == 0f) return X;
        else return x;
    }

    public float y() {
        if (y == 0f) return Y;
        else return y;
    }

    public float z() {
        if (z == 0f) return Z;
        else return z;
    }

    public Pointz2(float x, float y) {
        this.x = x;
        this.y = y;
    }

    public Pointz2(float x, float y, float z) {
        this.x = x;
        this.y = y;
        this.z = z;
    }
}
